Bug 1268360 - Review Request: rubygem-simple_oauth - Simply builds and verifies OAuth headers
Review Request: rubygem-simple_oauth - Simply builds and verifies OAuth headers
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Valena
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1267458 1268371
  Show dependency treegraph
 
Reported: 2015-10-02 12:22 EDT by Ilya Gradina
Modified: 2017-07-28 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pvalena: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-10-02 12:22:31 EDT
Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-simple_oauth.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-simple_oauth-0.3.1-1.fc24.src.rpm
Description: Simply builds and verifies OAuth headers.
Fedora Account System Username: ilgrad
Comment 1 Upstream Release Monitoring 2015-11-09 07:47:22 EST
pvalena's scratch build of rubygem-simple_oauth-0.3.1-1.fc24.src.rpm for f24-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11755585
Comment 2 Pavel Valena 2015-11-09 11:04:20 EST
Informal Package Review
=======================

No issues found. I would approve this package.


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -r -n rubygem-simple_oauth-0.3.1-1.fc24.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Upstream Release Monitoring 2015-11-10 04:39:42 EST
vondruch's scratch build of rubygem-simple_oauth-0.3.1-1.fc24.src.rpm for f24-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11767425
Comment 4 Vít Ondruch 2015-11-10 11:00:57 EST
* Test suite
  - Although you try to execute the test suite, the result is:

    Finished in 0.00018 seconds (files took 0.04478 seconds to load)
    0 examples, 0 failures

    i.e. you don't execute even single one. That is because the test suite is 
    not included in the .gem file.
  - To include the test suite, please try to follow example [1, 2].


Please try to enable the test suite, otherwise the package looks good.


[1] http://pkgs.fedoraproject.org/cgit/rubygem-abrt.git/tree/rubygem-abrt.spec#n15
[2] http://pkgs.fedoraproject.org/cgit/rubygem-abrt.git/tree/rubygem-abrt.spec#n57
Comment 5 Ilya Gradina 2016-04-29 19:51:38 EDT
Hi all, 
sorry for the long absence.

new SPEC: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-simple_oauth.spec
new SRPM: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-simple_oauth-0.3.1-2.fc24.src.rpm

- add tests
- few small changes

tests:
***********
42 examples, 0 failures, 2 pending
***********
Comment 6 Vít Ondruch 2016-05-02 04:28:57 EDT
I would suggest to remove the coverage dependencies, i.e.

BuildRequires: rubygem(simplecov)
BuildRequires: rubygem(coveralls)

We don't care about coverage, only upstream dose. You will need to do something like:

http://pkgs.fedoraproject.org/cgit/rpms/rubygem-multi_xml.git/tree/rubygem-multi_xml.spec#n63
Comment 8 Igor Gnatenko 2016-11-16 03:36:33 EST
sorry, don't have time for this.
Comment 9 Pavel Valena 2016-11-29 11:53:07 EST
I will review this.

For a a start:

Ilya, I am afraid you have not updated the spec file in srpm - please do and send me an update.
Comment 10 Ilya Gradina 2016-11-29 12:59:21 EST
(In reply to Pavel Valena from comment #9)
> I will review this.
> 
> For a a start:
> 
> Ilya, I am afraid you have not updated the spec file in srpm - please do and
> send me an update.

Hi Pavel,

thanks for the review of this package. Since not new version package, I send version new srpm:

srpm: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-simple_oauth-0.3.1-3.fc26.src.rpm
spec: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-simple_oauth.spec
Comment 11 Ilya Gradina 2017-07-11 18:03:30 EDT
ping?
Comment 12 Pavel Valena 2017-07-12 06:29:53 EDT
Sorry, I was a bit busy.

I'll review it now.
Comment 13 Pavel Valena 2017-07-12 11:08:40 EDT
Package Review
==============

Please solve the following issues

==== Issues ====
 - README.md and CONTRIBUTING.md should be in `doc` subpackage.
 - Release should be 1 (also remove changelog entries)
 - Move all `%exclude` macros to main package
 - Include Gemfile and Rakefile in `doc` subpackage
 - Add `ruby` BuildRequire to ensure MRI is used for tests.
 - Use Fedora 27 dist tag to create srpm
 - Remove rubygem(backports) BuildRequire, as it's intended for package to work with older version of ruby


===== MUST items =====
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
[x]: Avoid bundling fonts in non-fonts packages.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
Comment 14 Ilya Gradina 2017-07-12 14:40:45 EDT
Thx, for review.

I have a few questions.

1. "Use Fedora 27 dist tag to create srpm"
  - Why can not I use 26?

2. "Add `ruby` BuildRequire to ensure MRI is used for tests."
  - What did you mean? "BuildRequires: ruby(release)" - already available.

3. "Move all `%exclude` macros to main package"
  - you meant all `%exclude` macros move to section %files
Comment 16 Pavel Valena 2017-07-13 11:33:14 EDT
(In reply to Ilya Gradina from comment #14)
> Thx, for review.
> 
> I have a few questions.
> 
> 1. "Use Fedora 27 dist tag to create srpm"
>   - Why can not I use 26?

Fedora 27 is current rawhide version. Previously 26 was correct, but now it's currently release so it's eligible for updates only AFAIK.

> 
> 2. "Add `ruby` BuildRequire to ensure MRI is used for tests."
>   - What did you mean? "BuildRequires: ruby(release)" - already available.

This could in some case pull 'jruby' instead of 'ruby' dependency, as both satisfy this require.

```
$ dnf repoquery -q --disablerepo='*' --qf "%{name}" --enablerepo='rawhide' --whatprovides 'ruby(release)'
jruby
ruby-libs
```

> 
> 3. "Move all `%exclude` macros to main package"
>   - you meant all `%exclude` macros move to section %files

Yes, that's correct. %files section without arg creates main package and '%files doc' creates the doc subpackage for this package.
Comment 17 Pavel Valena 2017-07-13 11:42:43 EDT
These following issues are still valid.

> ==== Issues ====
>  - README.md and CONTRIBUTING.md should be in `doc` subpackage.
>  - Release should be 1 (also remove changelog entries)
>  - Move all `%exclude` macros to main package
>  - Include Gemfile and Rakefile in `doc` subpackage
>  - Add `ruby` BuildRequire to ensure MRI is used for tests.
>  - Use Fedora 27 dist tag to create srpm
Comment 18 Vít Ondruch 2017-07-14 04:53:37 EDT
(In reply to Pavel Valena from comment #16)
> (In reply to Ilya Gradina from comment #14)
> > Thx, for review.
> > 
> > I have a few questions.
> > 
> > 1. "Use Fedora 27 dist tag to create srpm"
> >   - Why can not I use 26?
> 
> Fedora 27 is current rawhide version. Previously 26 was correct, but now
> it's currently release so it's eligible for updates only AFAIK.

The dist tag doesn't really matter, since the SRPM will be imported into dist-git at the end. What matters if the package builds/works in Rawhide, that is why it is good practice to attach link to the Koji scratch build to prove it.
Comment 19 Pavel Valena 2017-07-14 08:17:18 EDT
(In reply to Vít Ondruch from comment #18)
> The dist tag doesn't really matter, since the SRPM will be imported into
> dist-git at the end. What matters if the package builds/works in Rawhide,
> that is why it is good practice to attach link to the Koji scratch build to
> prove it.

True.

But I do my own scratch-builds and mock-builds for every review so I do not mind look at any attached anyway. From my POV it's good to know that packager builds and tests the package on Rawhide and not on F26.
Comment 21 Pavel Valena 2017-07-28 09:48:14 EDT
Everything looks fine now, therefore

I APPROVE this package.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.